# SavedColumns: list

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/search-ads/v2/reference/savedColumns/list#auth).

Retrieve the list of saved columns for a specified advertiser.
[Try it now](https://developers.google.com/search-ads/v2/reference/savedColumns/list#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/doubleclicksearch/v2/agency/agencyId/advertiser/advertiserId/savedcolumns
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `advertiserId` | `long` | DS ID of the advertiser. |
| `agencyId` | `long` | DS ID of the agency. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/doubleclicksearch` |

For more information, see the [authentication and authorization](https://developers.google.com/search-ads/v2/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "doubleclicksearch#savedColumnList",
  "items": [
    savedColumns Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | Identifies this as a SavedColumnList resource. Value: the fixed string `doubleclicksearch#savedColumnList`. |   |
| `items[]` | `list` | The saved columns being requested. |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/doubleclicksearch/v2/doubleclicksearch.savedColumns.list).